## PhoshToplevel

PhoshToplevel — Represents a single toplevel surface.

## Functions

PhoshToplevel * | phosh_toplevel_new_from_handle ()
const char * | phosh_toplevel_get_title ()
const char * | phosh_toplevel_get_app_id ()
struct zwlr_foreign_toplevel_handle_v1 * | phosh_toplevel_get_handle ()
gboolean | phosh_toplevel_is_configured ()
gboolean | phosh_toplevel_is_activated ()
gboolean | phosh_toplevel_is_maximized ()
void | phosh_toplevel_activate ()
void | phosh_toplevel_close ()

## Properties

gboolean | activated | Read
char * | app-id | Read
gboolean | configured | Read
gpointer | handle | Read / Write / Construct Only
gboolean | maximized | Read
char * | title | Read

## Signals

void | closed | Run Last

## Types and Values

#define | PHOSH_TYPE_TOPLEVEL
| PhoshToplevel

## Object Hierarchy

        GObject
        ╰── PhoshToplevel

## Description

## Functions

### phosh_toplevel_new_from_handle ()

    PhoshToplevel *
    phosh_toplevel_new_from_handle (struct zwlr_foreign_toplevel_handle_v1 *handle);

### phosh_toplevel_get_title ()

    const char *
    phosh_toplevel_get_title (PhoshToplevel *self);

### phosh_toplevel_get_app_id ()

    const char *
    phosh_toplevel_get_app_id (PhoshToplevel *self);

### phosh_toplevel_get_handle ()

    struct zwlr_foreign_toplevel_handle_v1 *
    phosh_toplevel_get_handle (PhoshToplevel *self);

### phosh_toplevel_is_configured ()

    gboolean
    phosh_toplevel_is_configured (PhoshToplevel *self);

### phosh_toplevel_is_activated ()

    gboolean
    phosh_toplevel_is_activated (PhoshToplevel *self);

### phosh_toplevel_is_maximized ()

    gboolean
    phosh_toplevel_is_maximized (PhoshToplevel *self);

### phosh_toplevel_activate ()

    void
    phosh_toplevel_activate (PhoshToplevel *self,
                             struct wl_seat *seat);

### phosh_toplevel_close ()

    void
    phosh_toplevel_close (PhoshToplevel *self);

## Types and Values

### PHOSH_TYPE_TOPLEVEL

    #define PHOSH_TYPE_TOPLEVEL (phosh_toplevel_get_type())

### PhoshToplevel

    typedef struct _PhoshToplevel PhoshToplevel;

## Property Details

### The `“activated”` property

      “activated”                gboolean

Whether the toplevel is currently focused.

Owner: PhoshToplevel

Flags: Read

Default value: FALSE

### The `“app-id”` property

      “app-id”                   char *

The application ID.

Owner: PhoshToplevel

Flags: Read

Default value: ""

### The `“configured”` property

      “configured”               gboolean

Whether the toplevel has been already filled with all initial data.

Owner: PhoshToplevel

Flags: Read

Default value: FALSE

### The `“handle”` property

      “handle”                   gpointer

The zwlr_foreign_toplevel_handle_v1 object associated with this toplevel.

Owner: PhoshToplevel

Flags: Read / Write / Construct Only

### The `“maximized”` property

      “maximized”                gboolean

Whether the toplevel is currently maximized.

Owner: PhoshToplevel

Flags: Read

Default value: FALSE

### The `“title”` property

      “title”                    char *

The window's title.

Owner: PhoshToplevel

Flags: Read

Default value: ""

## Signal Details

### The `“closed”` signal

    void
    user_function (PhoshToplevel *toplevel,
                   gpointer       user_data)

Emitted when a toplevel has been closed.

#### Parameters

toplevel | The PhoshToplevel emitting the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last